Summary:	System and process monitoring utilities.
Name:		procps
Version:	3.2.5
Release:	1
License:	GPL
Group:		Applications/System
Source0:	http://procps.sourceforge.net/%{name}-%{version}.tar.gz
Patch0:		procps-3.2.5-selinux-gd-1.diff
BuildRequires:	ncurses-devel
Prereq:		/bin/rm /sbin/ldconfig
BuildRoot:	%{_tmppath}/%{name}-%{release}-root

%description
The procps package contains a set of system utilities that provide
system information. Procps includes ps, free, skill, snice, tload,
top, uptime, vmstat, w, and watch. The ps command displays a snapshot
of running processes. The top command provides a repetitive update of
the statuses of running processes. The free command displays the
amounts of free and used memory on your system. The skill command
sends a terminate command (or another specified signal) to a specified
set of processes. The snice command is used to change the scheduling
priority of specified processes. The tload command prints a graph of
the current system load average to a specified tty. The uptime command
displays the current time, how long the system has been running, how
many users are logged on, and system load averages for the past one,
five, and fifteen minutes. The w command displays a list of the users
who are currently logged on and what they are running. The watch
program watches a running program. The vmstat command displays virtual
memory statistics about processes, memory, paging, block I/O, traps,
and CPU activity.

%files
  %defattr(0644,root,root,755)
  %doc NEWS BUGS TODO
  %doc %attr(0644,root,root) %{_mandir}/man?/*

  %attr(555,root,root) /%{_lib}/libproc-%{version}.so

  %attr(511,root,root) %{_bindir}/*
  %attr(511,root,root) %{_root_bindir}/*
  %attr(500,root,root) %{_root_sbindir}/sysctl

%prep
%setup -q
%patch0 -p1

%build
  make CC="gcc $RPM_OPT_FLAGS" MANDIR=%{_mandir} %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  make DESTDIR=$RPM_BUILD_ROOT install

  # Remove unpackaged files.
  rm -f $RPM_BUILD_ROOT/%{_root_bindir}/kill
  rm -f $RPM_BUILD_ROOT/%{_mandir}/man1/kill.1*

%post
  /sbin/ldconfig
  rm -f /etc/psdevtab /etc/psdatabase

%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Jul 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 3.2.5, Release 2
  - Patch in support for SELinux.

* Tue Jun 29 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 3.2.5, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
